#!/bin/bash

# Make sure irssi is installed
if ! command -v irssi &> /dev/null ; then
    install_package irssi | dialog --progressbox "Installing irssi..." -1 -1
fi

# check for Stormux specific irssi config
if [[ ! -d ~/.stormux_irssi ]]; then
    { fileName="$(mktemp --suffix .txz)"
    wget -O "$fileName" "https://stormux.org/downloads/.stormux_irssi.txz"
    tar xf "$fileName" -C ~/; } | dialog --progressbox "Configuring irssi..." -1 -1
fi

# Launch irssi
irssi --home ~/.stormux_irssi

exit 0
